<div>
    <div class="portlet light bordered">
        <div class="portlet-body" style="overflow-x:auto;">
            <table class="table table-striped table-bordered table-hover" id="sample_2">
                <thead>
                    <tr>
                        <th *ngFor="let header of headers,let i=index">
                            <label>{{header | translate}}</label>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="odd gradeX" *ngFor="let item of items,let i=index">
                        <td *ngFor="let content of item.content,let j=index" class="break-line">
                        </td>
                        <td *ngIf="item.action" class="action">
                            <div class="btn-group" *ngIf="item.action.type == 'DROPDOWN'">
                                <div ngbDropdown class="d-inline-block">
                                    <button class="btn btn-outline-primary" id="dropdownBasic" ngbDropdownToggle>{{item.action.text_dropdown | translate}}</button>
                                    <div ngbDropdownMenu aria-labelledby="dropdownBasic">
                                      <button ngbDropdownItem *ngFor="let child_btn of item.action.value" (click)="clickAction(child_btn, item)">
                                        {{child_btn.action| translate}}</button>
                                    </div>
                                  </div>
                            </div>
                            <div class="group-button" *ngIf="item.action.type == 'BUTTON'">
                                <button *ngFor="let child_btn of item.action.value"
                                    (click)="clickAction(child_btn, item)">
                                    {{child_btn.action | translate}}
                                </button>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="no-data" *ngIf="items.length==0">No Data Available</div>
        </div>
        <ul *ngIf="pager  && pager['pages'] && pager['pages'].length &&showPage" class="pagination">
            <li [ngClass]="{disabled:pager['currentPage'] === 1}">
                <a (click)="choosepage(1)"><i class="fa fa-angle-double-left"></i></a>
            </li>
            <li [ngClass]="{disabled:pager['currentPage'] === 1}">
                <a (click)="choosepage(pager.currentPage - 1)"><i class="fa fa-angle-left"></i></a>
            </li>
            <li *ngFor="let page of pager['pages']" [ngClass]="{active:pager['currentPage'] === page}">
                <a (click)="choosepage(page)">{{page}}</a>
            </li>
            <li [ngClass]="{disabled:pager['currentPage'] === pager['totalPages']}">
                <a (click)="choosepage(pager['currentPage'] + 1)"><i class="fa fa-angle-right"></i></a>
            </li>
            <li [ngClass]="{disabled:pager['currentPage'] === pager['totalPages']}">
                <a (click)="choosepage(pager['totalPages'])"><i class="fa fa-angle-double-right"></i></a>
            </li>
        </ul>
    </div>
</div>